This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 547121 - Encode module in perl package references nonexisting file
Encode module in perl package references nonexisting file
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-13 12:29 EST by Christian Krause
Modified: 2010-07-24 12:52 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-22 07:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 435505 None None None Never
CPAN 11511 None None None Never

  None (edit)
Description Christian Krause 2009-12-13 12:29:30 EST
[ copied from RHEL bug #435505 ]

Description of problem:
Perl's Encode module (/usr/lib/perl5/5.10.0/i386-linux-thread-multi/Encode.pm
) looks for a Encode::ConfigLocal module by calling:

eval { require Encode::ConfigLocal };

This Encode::ConfigLocal module does not exist, but since the require is wrapped
in an eval, it is not a fatal error, but depending on how the perl script is
written, this can generate warning messages, if for example the script is
catching eval errors and logging them.

The problem can be reproduced easily:

perl -e 'BEGIN { $SIG{__DIE__} = sub { print "Die: $_[0]\n"; }; }; use Encode;print "Hello world.\n";'

output:
-------------------------------
Die: Can't locate Encode/ConfigLocal.pm in @INC (@INC contains: /usr/local/lib/perl5/site_perl/5.10.0/i386-linux-thread-multi /usr/local/lib/perl5/site_perl/5.10.0 /usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.10.0/i386-linux-thread-multi /usr/lib/perl5/5.10.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/Encode.pm line 53.

Hello world.
-------------------------------

F11 and F12 are both affected, the status in rawhide I don't know...

The problem got fixed in RHEL:
http://rhn.redhat.com/errata/RHBA-2009-0117.html

Upstream tracking bug and suggested patch:
http://rt.cpan.org/Public/Bug/Display.html?id=11511#txn-481431
Comment 1 Marcela Mašláňová 2009-12-22 03:04:01 EST
F-13 (perl-5.10.1) isn't affected.
Comment 2 Marcela Mašláňová 2010-01-11 09:31:25 EST
This should be fixed in next update in F-12 since perl-5.10.0-88.fc12 or later.
Comment 3 Marcela Mašláňová 2010-03-16 05:20:38 EDT
Please re-open in case this is still bother you.
Comment 4 Christian Krause 2010-03-16 19:12:05 EDT
The servers I'm maintaining are running currently F11 and F12 and on these systems I always have to do some workarounds. So if it would be possible to get an update for F12 and F11, this would be great.
Comment 5 Marcela Mašláňová 2010-03-17 10:35:18 EDT
The mentioned patch is applied, but it gets somehow changed during the build. I'll fix it.
Comment 6 Bug Zapper 2010-04-28 07:34:25 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Christian Krause 2010-06-20 10:23:56 EDT
The bug is still present in F12 (F13 is fixed). It would be great if the fix would land in F12, too.
Comment 8 Marcela Mašláňová 2010-07-22 07:56:23 EDT
In F-12 should be fixed in perl-5.10.0-89.
Comment 9 Christian Krause 2010-07-24 12:52:48 EDT
(In reply to comment #8)
> In F-12 should be fixed in perl-5.10.0-89.    

Yes, I can confirm this. Thanks!

Note You need to log in before you can comment on or make changes to this bug.